> ## Documentation Index
> Fetch the complete documentation index at: https://docs.byblend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a license/qualification

> Update a license/qualification for a prescriber.

As a shorthand, you may also update the currently-active state license by making the same request to .../qualifications/`OH` (or equivalent state abbreviation).




## OpenAPI

````yaml /openapi-public.yml put /api/v1/prescribers/{prescriber_id}/qualifications/{qualification_id}
openapi: 3.0.3
info:
  title: Blend API
  version: 1.0.0
  description: API for Blend
servers:
  - url: https://api.byblend.com
    description: Blend production server
security:
  - bearerAuth: []
tags:
  - name: Orders
    description: Order management endpoints
  - name: Patients
    description: Patient management endpoints
  - name: Reports
    description: Reporting endpoints
  - name: Products and Materials
    description: Product catalog and inventory endpoints
  - name: Electronic Prescriptions
    description: Electronic prescription management endpoints
  - name: Prescriptions
    description: Prescription management endpoints
  - name: Authentication
    description: Authentication endpoints
  - name: Notifications
    description: User management endpoints
  - name: Prescribers
paths:
  /api/v1/prescribers/{prescriber_id}/qualifications/{qualification_id}:
    put:
      tags:
        - Prescribers
      summary: Update a license/qualification
      description: >
        Update a license/qualification for a prescriber.


        As a shorthand, you may also update the currently-active state license
        by making the same request to .../qualifications/`OH` (or equivalent
        state abbreviation).
      parameters:
        - name: prescriber_id
          in: path
          required: true
          description: Unique (UUID) identifier, or 10-digit NPI, for the prescriber
          schema:
            type: string
            format: string
        - name: qualification_id
          in: path
          required: true
          description: >-
            Unique (UUID) identifier for the qualification, or, as a
            convenience, two-letter state abbreviation
          schema:
            type: string
            format: uuid
            example: OH
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PrescriberQualification'
      responses:
        '200':
          description: License/qualification updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrescriberQualification'
components:
  schemas:
    PrescriberQualification:
      type: object
      properties:
        state:
          type: string
          example: CA
        license_number:
          type: string
          example: '1234567890'
          description: >-
            License number for the prescriber in this state. Note that when a
            state qualification is updated with a new license number, the old
            qualification will be automatically deactivated.
        description:
          type: string
          example: Nurse Practitioner, Family
          description: Description of the license qualification
        expiration_date:
          type: string
          format: date
          example: '2025-03-15'
        is_active:
          type: boolean
          example: true
      required:
        - state
        - license_number
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````